MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000573Ecere SDKecerepublic2010-10-29 02:412013-05-19 17:15
Reporterredj 
Assigned Toredj 
PriorityimmediateSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformCross-PlatformOS\o/OS Version;-)
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000573: implement JSON / driver based global settings
Descriptionimplement a driver based global settings system
use the JSON writer / parser to implement one such driver
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000397)
redj (administrator)
2010-10-30 23:50

Added revision 20 to sdk/ecere/src/sys/GlobalAppSettings.ec
Added revision 7 to sdk/ecere/src/sys/JSON.ec
Added revision 1 to sdk/ecere/src/sys/JSONGlobalSettings.ec
Added revision 9 to directory sdk/ecere/src/sys
Added revision 122 to sdk/ecere/src/com/instance.ec
Added revision 77 to sdk/ecere/ecere.epj
Added revision 31 to sdk/ecere/Makefile
Added revision 22 to sdk/ecere/Makefile.vanilla
Added revision 159 to sdk/ide/src/ide.ec
Added revision 146 to sdk/ide/src/designer/CodeEditor.ec
Added revision 48 to sdk/ide/src/dialogs/NewProjectDialog.ec
Added revision 45 to sdk/ide/src/dialogs/GlobalSettingsDialog.ec
Added revision 8 to sdk/ide/src/dialogs/ActiveCompilerDialog.ec
Added revision 56 to sdk/ide/src/settings.ec
Added revision 163 to sdk/ide/src/project/Project.ec
Added revision 114 to sdk/ide/src/project/ProjectView.ec
Added revision 35 to sdk/ide/src/project/ProjectConfig.ec
Added revision 46 to sdk/ide/src/project/Workspace.ec
Added revision 57 to sdk/ide/ide.epj
Added revision 23 to sdk/ide/Makefile
Added revision 8 to sdk/compiler/bootstrap/ecere/bootstrap/instance.c
Added revision 21 to sdk/documentor/documentor.epj
Added revision 41 to sdk/documentor/documentor.ec
Added revision 15 to sdk/documentor/Makefile
Added revision 6 to sdk/documentor/settingsDialog.ec
Added revision 13 to directory sdk/extras
Added revision 22 to sdk/epj2make/epj2make.ec
Added revision 10 to sdk/epj2make/epj2make.epj
Added revision 16 to sdk/epj2make/Makefile
(0000398)
redj (administrator)
2010-10-31 01:56

Added revision 46 to sdk/ide/src/dialogs/GlobalSettingsDialog.ec
Added revision 9 to sdk/ide/src/dialogs/ActiveCompilerDialog.ec
Added revision 57 to sdk/ide/src/OldIDESettings.ec
Added revision 164 to sdk/ide/src/project/Project.ec
Added revision 1 to sdk/ide/src/IDESettings.ec
Added revision 12 to directory sdk/ide/src
Added revision 58 to sdk/ide/ide.epj
Added revision 24 to sdk/ide/Makefile
Added revision 22 to sdk/documentor/documentor.epj
Added revision 16 to sdk/documentor/Makefile
Added revision 42 to sdk/documentor/src/Documentor.ec
Added revision 7 to sdk/documentor/src/SettingsDialog.ec
Added revision 1 to directory sdk/documentor/src
Added revision 7 to directory sdk/documentor
Added revision 11 to sdk/epj2make/epj2make.epj
Added revision 17 to sdk/epj2make/Makefile

- Issue History
Date Modified Username Field Change
2010-10-29 02:41 redj New Issue
2010-10-29 02:41 redj Status new => assigned
2010-10-29 02:41 redj Assigned To => redj
2010-10-30 23:50 redj Status assigned => closed
2010-10-30 23:50 redj Note Added: 0000397
2010-10-30 23:50 redj Resolution open => fixed
2010-10-30 23:51 redj Status closed => resolved
2010-10-31 01:56 redj Note Added: 0000398
2012-03-08 09:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 12:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 02:52 redj Category => ide
2012-03-29 02:52 redj Project @3@ => Ecere SDK
2012-03-29 03:46 redj Category ide => ecere
2012-03-29 03:46 redj Summary ide: ecere runtime library: implement JSON / driver based global settings => implement JSON / driver based global settings
2013-05-19 17:15 jerome Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker